"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x111278280>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x111278310>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1112783a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x111278430>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1112784c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x111278550>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1112785e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111278670>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111278700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111278790>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x111278820>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1112788b0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x111278940>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1112789d0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x111278a60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x111278af0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x111278b80>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x111278c10>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x111278ca0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x111278d30>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x111278dc0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x111278e50>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x111278ee0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x111278f70>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11127b0d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11127b040>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11127b160>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11127b1f0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11127b280>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11127b310>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11127b3a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11127b430>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11127b4c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11127b550>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11127b5e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11127b670>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11127b700>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11127b790>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11127b820>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11127b8b0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11127b940>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11127b9d0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11127ba60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x11127baf0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x11127bb80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x11127bc10>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11127bca0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11127bd30>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11127bdc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11127be50>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11127bee0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11127bf70>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x111281040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1112810d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x111281160>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1112811f0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x111281280>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x111281310>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1112813a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x111281430>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1112814c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x111281550>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1112815e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x111281670>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x111281700>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1112818b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x111281790>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x111281940>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1112819d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x111281a60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x111281af0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x111281b80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x111281ca0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x111281c10>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x111281d30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x111281dc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x111281e50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x111281f70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x111281ee0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x111283040>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1112830d0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x111283160>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1112831f0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x111283280>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x111283310>)]
name: str = 'fr_HOCCN'
